<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function dotDivide

Divide two matrices element wise. The function accepts both matrices and
scalar values.


## Syntax

```js
math.dotDivide(x, y)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; BigNumber &#124; Fraction &#124; Complex &#124; Unit &#124; Array &#124; Matrix | Numerator
`y` | number &#124; BigNumber &#124; Fraction &#124; Complex &#124; Unit &#124; Array &#124; Matrix | Denominator

### Returns

Type | Description
---- | -----------
number &#124; BigNumber &#124; Fraction &#124; Complex &#124; Unit &#124; Array &#124; Matrix | Quotient, `x ./ y`


### Throws

Type | Description
---- | -----------


## Examples

```js
math.dotDivide(2, 4)   // returns 0.5

a = [[9, 5], [6, 1]]
b = [[3, 2], [5, 2]]

math.dotDivide(a, b)   // returns [[3, 2.5], [1.2, 0.5]]
math.divide(a, b)      // returns [[1.75, 0.75], [-1.75, 2.25]]
```


## See also

[divide](divide.md),
[multiply](multiply.md),
[dotMultiply](dotMultiply.md)
